Package: org.codehaus.groovy.ast.expr

## [Java] Class EmptyExpression

- org.codehaus.groovy.ast.expr.EmptyExpression

-     public class EmptyExpression
      extends Expression

  Placeholder for an empty expression. Empty expressions are used in closures lists like (;). During class generation empty expressions should be ignored or replaced with a null value.

  See Also:
    EmptyStatement

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static EmptyExpression` | `INSTANCE` | Immutable singleton that is recommended for use when source range or any other occurrence-specific metadata is not needed.

  - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class Expression` | `EMPTY_ARRAY`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `EmptyExpression ()` See Also: EmptyExpression.INSTANCE

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `addAnnotation(AnnotationNode node)`
    `` | `void` | `setColumnNumber(int n)`
    `` | `void` | `setDeclaringClass(ClassNode node)`
    `` | `void` | `setHasNoRealSourcePosition(boolean b)`
    `` | `void` | `setLastColumnNumber(int n)`
    `` | `void` | `setLastLineNumber(int n)`
    `` | `void` | `setLineNumber(int n)`
    `` | `void` | `setMetaDataMap(Map<?, ?> meta)`
    `` | `void` | `setSourcePosition(ASTNode node)`
    `` | `void` | `setSynthetic(boolean b)`
    `` | `void` | `setType(ClassNode node)`
    `` | `Expression` | `transformExpression(ExpressionTransformer transformer)`
    `` | `void` | `visit(GroovyCodeVisitor visitor)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Expression` | `getType, setType, transformExpression, transformExpressions, transformExpressions`
    `class AnnotatedNode` | `addAnnotation, addAnnotations, getAnnotations, getAnnotations, getDeclaringClass, getGroovydoc, getInstance, hasNoRealSourcePosition, isSynthetic, setDeclaringClass, setHasNoRealSourcePosition, setSynthetic`
    `class ASTNode` | `copyNodeMetaData, getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, getMetaDataMap, getText, hashCode, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setMetaDataMap, setSourcePosition, visit`

- - ### Field Detail

    - #### public static final EmptyExpression INSTANCE

      Immutable singleton that is recommended for use when source range or any other occurrence-specific metadata is not needed.

  - ### Constructor Detail

    - #### public EmptyExpression()

      See Also:
        EmptyExpression.INSTANCE

  - ### Method Detail

    - #### @Override public void addAnnotation(AnnotationNode node)

    - #### @Override public void setColumnNumber(int n)

    - #### @Override public void setDeclaringClass(ClassNode node)

    - #### @Override public void setHasNoRealSourcePosition(boolean b)

    - #### @Override public void setLastColumnNumber(int n)

    - #### @Override public void setLastLineNumber(int n)

    - #### @Override public void setLineNumber(int n)

    - #### @Override public void setMetaDataMap(Map<?, ?> meta)

    - #### @Override public void setSourcePosition(ASTNode node)

    - #### @Override public void setSynthetic(boolean b)

    - #### @Override public void setType(ClassNode node)

    - #### @Override public Expression transformExpression(ExpressionTransformer transformer)

    - #### @Override public void visit(GroovyCodeVisitor visitor)